
const path = require('path');

module.exports = {

    context: path.resolve(__dirname, '.'),

    entry: {
        js_streams : "./src/streams.js"
    },

    node: {
        fs: "empty",
        child_process:"empty"
    },

    output: {
        path: path.resolve(__dirname, './dist'),
        filename: 'js-streams.js',
        library: 'js-streams',
        libraryTarget: 'umd',
        umdNamedDefine: true
    },

    module: {
        rules: [
            {
                test: /\.js$/,
                exclude: [/node_modules/],
                use: [{
                    loader: 'babel-loader',
                    options: {
                        presets: ['es2015', 'react'],
                        plugins: ['react-html-attrs', 'transform-decorators-legacy2', 'transform-class-properties', 'transform-object-rest-spread']
                    },
                }],
            },
        ]
    }
};
